#!/usr/bin/perl -w
use strict;

my $ligne = "";
my $sequence = "";

my $comptcompt = 0;






# j'ecris maintenant le fichier qui contient l'ensemble 
open(OUT,">$ARGV[1]/temporaireAlign.txt") or die "ouverture de $ARGV[1]/temporaireAlign.txt impossible\n";

$comptcompt = 0;
open(IN,"$ARGV[1]/RTnonLTR.muscle.mfa") or die "ouverture de $ARGV[1]/RTnonLTR.muscle.mfa impossible Alignement.pl\n";
while($ligne = <IN>)
{
	if($ligne =~ />/)
	{
		if($comptcompt > 0)
		{
			print OUT "\n";
		}
		print OUT $ligne;

		$comptcompt++;
	}
	else
	{
		my @cut = split(//, $ligne);
		for(my $i=0; $i<scalar(@cut); $i++)
		{
			if( ($cut[$i] =~ /[A-Z]/) || ($cut[$i] =~ /[a-z]/) )
			{
				print OUT "$cut[$i]";
			}
		}
	}
}
close(IN);
print OUT "\n";

open(IN,"$ARGV[1]/temporaireSequence.txt") or die "ouverture de $ARGV[1]/temporaireSequence.txt impossible\n";
while($ligne = <IN>)
{
	print OUT $ligne;
}
close(IN);

close(OUT);


# je lance l'alignement de MUSCLE
system("muscle -in $ARGV[1]/temporaireAlign.txt -out $ARGV[1]/fichierAligntemp.txt -clwstrict -quiet");


# je transforme au format phylip
my $command2 = "java -cp $ARGV[1]/readseq.jar run -f 12 -C $ARGV[1]/fichierAligntemp.txt >&/dev/null";
system($command2);
rename("$ARGV[1]/fichierAligntemp.txt.phylip", "$ARGV[1]/fichierAlign.txt");

unlink("$ARGV[1]/temporaireSequence.txt");
unlink("$ARGV[1]/fichierAligntemp.txt");
unlink("$ARGV[1]/temporaireAlign.txt");






