#!/bin/bash

# This script runs seqboot with a set of specific parameters.
#
# vseqboot.sh <infile> <outfile>
#
# <infile>  - file containing one multiple alignment in the Phylip format;
# <outfile> - name of a new file with 1000 bootstraped alignments. 
# <repertoire sh> - name of the directory where it is

# $number is an odd random number for seqboot

number=$RANDOM
out=$(( $number % 2 ))
   if [ $out -eq 0 ]
   then
        number=$(( $number + 1 ))
   fi
echo $number
echo "-----------------"

cd $3
seqboot <<EOF
$1
r
1000
y
$number
f
$2
EOF
cd $3
