#!/usr/bin/perl -w
use strict;



# je fais le bootstrap
my $commandX = "$ARGV[0]/vseqboot.sh $ARGV[0]/fichierAlign.txt $ARGV[0]/BootResult.txt $ARGV[0] >&/dev/null";
system($commandX);

my $command2 = "java -cp $ARGV[0]/readseq.jar run -f 8 -C $ARGV[0]/fichierAlign.txt >&/dev/null";
system($command2);

my @coupe = split(/\//, $ARGV[0]);
my @recoupe = split(/\./, $coupe[scalar(@coupe)-1]);
rename("$ARGV[0]/fichierAlign.txt.fasta", "$ARGV[0]/$recoupe[0].fasta");
#unlink("$ARGV[0]/fichierAlign.txt");



# je vais maintenant decouper le fichier de bootstrap obtenu en 1000 fichiers
my $ligne = "";
my $compt = 0;
my $separateur = "";
open(IN,"$ARGV[0]/BootResult.txt") or die "coucou 1 ouverture de $ARGV[0]/BootResult.txt impossible BootStrapSeq.pl\n";
	$separateur = <IN>;
close(IN);

open(IN,"$ARGV[0]/BootResult.txt") or die "ouverture de $ARGV[0]/BootResult.txt impossible\n";
while( $ligne = <IN> )
{
	if($ligne eq $separateur)
	{
		if($compt > 0)
		{
			close(OUT);
		}		
		my $namefile = "$ARGV[0]" . "/resultat" . "$compt" . ".ph";
		open(OUT,">$namefile") or die "ouverture de $namefile impossible\n";
			print OUT $ligne;
		$compt++;
	}
	else
	{
		print OUT $ligne;
	}
}
close(IN);
close(OUT);
unlink("$ARGV[0]/BootResult.txt");



my $namefileT = "$ARGV[0]" . "/resultat*.ph";

# je transforme au format fasta
my $commandC = "find $namefileT | $ARGV[0]/Thread_READSEQ.pl";
system($commandC);
unlink("$namefileT");



# je transforme au format matrix de distance
$namefileT = "$ARGV[0]" . "/resultat*.ph.fasta";
my $command3 = "find $namefileT | $ARGV[0]/Thread_CLEARCUT.pl";
system($command3);
unlink("$namefileT.fasta");
unlink("$namefileT.temp");



# je lance les transformations necessaire pour BioNJ
open(OUT,">$ARGV[0]/fichier_BOOTSTRAP_Align.NJ") or die "ouverture de $ARGV[0]/fichier_BOOTSTRAP_Align.NJ impossible BootStrapSeq.pl\n";
for(my $i=0; $i<1000; $i++)
{
	my $namefile = "$ARGV[0]" . "/resultat" . "$i" . ".ph.fasta";

	$ligne = "";
	my @data = ();
	my $comptX = 0;
	my $comptY = 0;
	my @name = ();

	open(IN,"$namefile.matrix") or die "ouverture de $namefile.matrix impossible\n";
	$ligne = <IN>;
	while( $ligne = <IN> )
	{
		chomp($ligne);
		my @coupe = split(/\t/, $ligne);
		if(scalar(@coupe) > 1)
		{
			my @cut = split(/ /, $coupe[1]);
			$comptY  = scalar(@cut);

			for(my $i=0; $i<$comptY; $i++)
			{
				$data[$comptX][$i] = $cut[$i];
			}
		}
		$name[$comptX] = $coupe[0];
		$comptX++;
	}
	close(IN);


	
	print OUT "   $comptX\n";
	for(my $i=0; $i<$comptX; $i++)
	{
		print OUT "$name[$i]\n";
		for(my $j=0; $j<=$comptY; $j++)
		{
			if($j < $i)
			{
				print OUT "$data[$i][$j]  ";
			}
			if($j == $i)
			{
				print OUT "0  ";
			}
			if($j > $i)
			{
				print OUT "$data[$j][$i]  ";
			}
		}
		print OUT "\n";
	}
	

	unlink("$namefile.matrix");
}
close(OUT);



# je lance maintenant la commande de BIONJ
my $commandBIONJ = "bionj $ARGV[0]/fichier_BOOTSTRAP_Align.NJ $ARGV[0]/TreeBioNJ.txt >&/dev/null";
system($commandBIONJ);
#unlink("$ARGV[0]/fichier_BOOTSTRAP_Align.NJ");



# je vais lancer la commande consense
my $commandBOOT = "$ARGV[0]/vconsense.sh $ARGV[0] $ARGV[0]/TreeBioNJ.txt $ARGV[0]/TreeBioNJ_texte.txt $ARGV[0]/TreeBOOTSTRAP.txt >&/dev/null";
system($commandBOOT);
#unlink("$ARGV[0]/TreeBioNJ.txt");



