#!/usr/bin/perl -w
use strict;

my $ligne = "";
my $comptGroup = 0;
my $comptName = 0;
my @nameSeq = ();
my @group = ();


# je corrige un bug de phylip
if( ($ARGV[2] =~ /\./) || ($ARGV[2] =~ /\_/) )
{
	my @phylip2 = split(//, $ARGV[2]);
	$ARGV[2] = "";
	for(my $i=0; $i<10; $i++)
	{
		if( ($phylip2[$i] eq ".") )
		{
			$ARGV[2] = $ARGV[2] . "_";
		}
#		elsif( ($phylip2[$i] eq "_") )
#		{
#			$vraiName = $vraiName . " ";
#		}
		else
		{
			$ARGV[2] = $ARGV[2] . $phylip2[$i];
		}
	}
}
if(length($ARGV[2]) > 10)
{
	my @phylip2 = split(//, $ARGV[2]);
	$ARGV[2] = "";
	for(my $i=0; $i<10; $i++)
	{
		$ARGV[2] = $ARGV[2] . $phylip2[$i];
	}
}



my @nameNom = ();
my $filename = $ARGV[0] . "/RTcore.fasta";
# ici je recupere les noms et les groupes du fichier model
open(IN,"$filename") or die "ouverture de $filename impossible\n";
while( $ligne = <IN> )
{
	chomp($ligne);
	if($ligne =~ />/)
	{
		
		my @cut = split(/>/, $ligne);
		my $nom = $cut[1];

		@cut = ();
		@cut = split(/ /, $nom);
		$nom = $cut[0];
		my $groupe = "";
		if($cut[1] =~ /\//)
		{
			my @coupe = split(/\//, $cut[1]);
			$groupe = $coupe[0];
		}
		else
		{
			$groupe = $cut[1];
		}

		$nameNom[$comptName] = $nom;
		$comptName++;
		
		my $trouve = 0;
		for(my $i=0; $i<$comptGroup; $i++)
		{
			if($group[$i] eq $groupe)
			{
				$trouve = 1;
				$nameSeq[$i] = $nameSeq[$i] .  "'" . $nom . "' ";
			}
		}
		if($trouve == 0)
		{
			$group[$comptGroup] = $groupe;
			$nameSeq[$comptGroup] = "'" . $nom . "' ";
			$comptGroup++
		}
	}
}
close(IN);





# je lis d'abord les informations presentes dans l'arbre de BIONJ
my $tree = "";
open(IN,"$ARGV[0]/TreeBOOTSTRAP.txt") or die "ouverture de $ARGV[0]/TreeBOOTSTRAP.txt impossible\n";
while( $ligne = <IN> )
{
	chomp($ligne);
	$tree = $tree . $ligne;
}
close(IN);

	# fix un bug (temporaire !!)
	$tree =~ s/Proto1-1_N/Proto1-1_NG/;
	$tree =~ s/Proto1-4_N/Proto1-4_NG/;
	$tree =~ s/Proto1-6_N/Proto1-6_NG/;
	$tree =~ s/SHALINE14_/SHALINE14_MT/;
	$tree =~ s/SHALINE16_/SHALINE16_MT/;
	$tree =~ s/Proto2-1_H/Proto2-1_HM/;
	$tree =~ s/Proto2-2_H/Proto2-2_HM/;
	$tree =~ s/Proto2-1_S/Proto2-1_SK/;
	$tree =~ s/Proto2-1_B/Proto2-1_BF/;
	$tree =~ s/Proto2-1_C/Proto2-1_CS1/;
	$tree =~ s/Proto2-2_C/Proto2-2_CS1/;
	$tree =~ s/Proto2-3_C/Proto2-3_CS1/;
	$tree =~ s/Proto2-4_C/Proto2-4_CS1/;
	$tree =~ s/Proto2-5_C/Proto2-5_CS1/;
	$tree =~ s/Proto2-6_C/Proto2-6_CS1/;
	$tree =~ s/Proto2-7_C/Proto2-7_CS1/;
	$tree =~ s/Proto2-8_C/Proto2-8_CS1/;	
	$tree =~ s/Expander1_/Expander1_Cis/;
	$tree =~ s/CR1-L2-1_X/CR1-L2-1_XT/;
	$tree =~ s/Baggins1_C/Baggins1_Cis/;
	$tree =~ s/Baggins-2_/Baggins-2_NVi/;
	$tree =~ s/Outcast-1_/Outcast-1_BF/;
	$tree =~ s/Outcast-2_/Outcast-2_BF/;
	$tree =~ s/Daphne-1_B/Daphne-1_BM/;
	$tree =~ s/Daphne-1_T/Daphne-1_TCa/;
	$tree =~ s/Crack-24_B/Crack-24_BF/;
	$tree =~ s/Crack-1_CS/Crack-1_CS1/;
	

	


# autre bug du a directtree.pl
my @rechercheFaux = split(//, $ARGV[1]);
my $nbLatree = scalar(@rechercheFaux);
my $tronque = "RIEN_DU_TOUT";
if($nbLatree > 10)
{
	$tronque = "";
	for(my $z=1; $z<=10; $z++)
	{
		$tronque = $tronque . $rechercheFaux[$z];
	}
	$tree =~ s/$tronque/$ARGV[1]/;
}


#dernier bug ...
for(my $i=0; $i<$comptName; $i++)
{
	my $nom = $nameNom[$i] . ":1000.0";
	$tree =~ s/$nom/$nameNom[$i]/;
}
my $derniernom = $ARGV[1] . ":1000.0";
$tree =~ s/$derniernom/$ARGV[1]/;

# je vais recuperer la valeur de Bootstrap de chaque cluster selectionnes
my @bootstrap = ();
my $recompte = 0;
my @decoupe = split(/\:/, $tree);
for(my $i=0; $i<scalar(@decoupe); $i++)
{
	my @redecoupe = split(/\./, $decoupe[$i]);
	$bootstrap[$recompte] = $redecoupe[0];
	$recompte++;
}



$ARGV[2] =  "'" . $ARGV[2] . "'";
$ARGV[1] =  "'" . $ARGV[1] . "'";






# je mets en forme les informations necessaires 
my $taille = length($tree);
my @tabTree = split(//, $tree);
my $commence = 0;
my $number = 0;
my $preced = "";
	
open(OUT,">$ARGV[0]/temporaire1_.txt") or die "ouverture de $ARGV[0]/temporaire1_.txt impossible\n";
for(my $i=0; $i<$taille; $i++)
{
	if( ($tabTree[$i] eq "(") or ($tabTree[$i] eq ")") )
	{
		print OUT "\n";
		print OUT "$tabTree[$i]\n";
		$number = 0;
	}
	else
	{
		if( ($tabTree[$i] ne ";") and ($tabTree[$i] ne ",") )
		{
			if($tabTree[$i] eq ":")
			{
				$number = 1;
			}
			if($number == 0)
			{
				print OUT "$tabTree[$i]";
			}
		}
		else
		{
			$number = 0;
			if( ($preced ne ")") && ($preced ne "(") )
			{
				print OUT " ";
			}
		}
	}
	$preced = $tabTree[$i];
}
close(OUT);

my $tempcompt = 0;
open(OUT2,">$ARGV[0]/temporaire2_.txt") or die "ouverture de $ARGV[0]/temporaire2_.txt impossible\n";
open(IN,"$ARGV[0]/temporaire1_.txt") or die "ouverture de $ARGV[0]/temporaire1_.txt impossible\n";
while( $ligne = <IN> )
{
	chomp($ligne);
	if( ($ligne ne "") and ($ligne ne " ") )
	{
		if( ($ligne =~ /[A-Z]/) or ($ligne =~ /[a-z]/) or ($ligne =~ /[1-9]/) or ($ligne =~ /\(/) or ($ligne =~ /\)/) )
		{
			my @copie = split(//, $ligne);
			if($copie[0] ne " ")
			{
				if(($ligne =~ /[A-Z]/) or ($ligne =~ /[a-z]/))
				{
					my @coupi = split(/ /, $ligne);
					for(my $z=0; $z<scalar(@coupi); $z++)
					{
						$coupi[$z] = "'". $coupi[$z] . "'";
					}
					$ligne = $coupi[0];
					for(my $z=1; $z<scalar(@coupi); $z++)
					{
						$ligne = $ligne . " " . $coupi[$z];
					}
				}
				print OUT2 "$ligne \n";
			}
			else
			{
				print OUT2 "'";
				for(my $i=1; $i<scalar(@copie); $i++)
				{
					print OUT2 "$copie[$i]";
				}
				print OUT2 "' \n";
			}
			$tempcompt++;
		}
	}
}
close(IN);
close(OUT2);
unlink("$ARGV[0]/temporaire1_.txt");





# Analyse de la sequence qui contient $nameSeq[$j] et decoupage de $sequence en cluster

my $sequence = "";
my $nbcarac = 0;		# evite de prendre la premiere parenthese
# ici je remets toute la sequence en une seule ligne sans les premieres parentheses
open(IN,"$ARGV[0]/temporaire2_.txt") or die "ouverture de $ARGV[0]/temporaire2_.txt impossible\n";
while( $ligne = <IN> )
{
	chomp($ligne);
	chop($ligne);

	if($nbcarac > 0)
	{
		$sequence = $sequence . $ligne;
	}
	$nbcarac++;
}
close(IN);
chop($sequence);
unlink("$ARGV[0]/temporaire2_.txt");

# cette partie sert a determiner les cluster dans l'arbre phylogenetique
my @subcluster = ();
my @decoupage = split(//, $sequence);
my $comptParenthesis = 0;
my $comptfinal = 0;
my @finalset = ();
for(my $i=0; $i<scalar(@decoupage); $i++)
{
	if($decoupage[$i] eq "(")
	{
		$subcluster[$comptParenthesis] = "";
		$comptParenthesis++;
		for(my $xyz=0; $xyz<$comptParenthesis; $xyz++)
		{		
			$subcluster[$xyz] = $subcluster[$xyz] . $decoupage[$i];
		}
	}
	elsif($decoupage[$i] eq ")")
	{
		for(my $xyz=0; $xyz<$comptParenthesis; $xyz++)
		{		
			$subcluster[$xyz] = $subcluster[$xyz] . $decoupage[$i];
		}
		$finalset[$comptfinal] = $subcluster[$comptParenthesis-1];
		$subcluster[$comptParenthesis-1] = "";
		$comptfinal++;

		$comptParenthesis--;
	}
	else
	{
		for(my $xyz=0; $xyz<$comptParenthesis; $xyz++)
		{		
			$subcluster[$xyz] = $subcluster[$xyz] . $decoupage[$i];
		}
	}
}

my @cluster = ();
my $elimineSub = 0;
for(my $i=0; $i<$comptfinal; $i++)
{
	if($i > 0)
	{
		# ici la subtring est complement different de la precedent je l'integre
		if($finalset[$i] !~ /$finalset[$i-1]/ )
		{
			$cluster[$elimineSub] = $finalset[$i];
			$elimineSub++;
		}
		# ici la subtring contient la substring precedement enregistre
		elsif($finalset[$i] =~ /$cluster[$elimineSub-1]/)
		{
			my $retrouve = 0;
			for(my $e=0; $e<$elimineSub-1; $e++)
			{
				if($finalset[$i] =~ /$cluster[$e]/)
				{
					$retrouve = 1;
				}
			}
			## cette substring contient la precendente et une autre deja enregistre = elle englobe les deux, on la garde 
			if($retrouve == 1)
			{
				$cluster[$elimineSub] = $finalset[$i];
				$elimineSub++;
			}
			# cette subtring est une extension de la precedente = elle la remplace
			else
			{
				#$cluster[$elimineSub-1] = $finalset[$i];
				
				$cluster[$elimineSub] = $finalset[$i];
				$elimineSub++;
			}
		}		
	}
	else
	{
		# premier couple je l'integre
		$cluster[$elimineSub] = $finalset[$i];
		$elimineSub++;
	}
}
$cluster[$elimineSub] = $sequence;
$elimineSub++;





for(my $i=0; $i<$elimineSub; $i++)
{
	$bootstrap[$i] = $bootstrap[$i+1];
}




my @retientcluster = ();
for(my $i=0; $i<$elimineSub; $i++)
{
	$retientcluster[$i] = $cluster[$i];
}

# je recupere le dernier taxa de chaque cluster
my @dernierNOM = ();
for(my $i=0; $i<$elimineSub; $i++)
{
	my $tempo = $retientcluster[$i];
	$tempo =~ tr/\)/ /;
	$tempo =~ tr/\(/ /;
	$tempo =~ tr/,/ /;
	my @decoupe = split(/ /, $tempo);
	for(my $j=0; $j<scalar(@decoupe); $j++)
	{
		if($decoupe[$j] =~ /\w/)
		{
			$dernierNOM[$i] = $decoupe[$j];
		}
	}
}






open(OUT,">$ARGV[0]/TREEComparaison.txt") or die "ouverture de $ARGV[0]/TREEComparaison.txt impossible\n";
# je recherche a quel cluster la nouvelle sequence appartient
my $clusterGauche = $elimineSub;
my $clusterDroite = $elimineSub;
$group[$elimineSub] = "RIEN";


for(my $i=0; $i<$elimineSub; $i++)
{
	my $presence = 0;
	my @coupon = ();
	# ici la nouvelle sequence est contenu dans le cluster
	if( $retientcluster[$i] =~ /$ARGV[1]/ )
	{	
		$retientcluster[$i] =~ tr/(/ /;
		$retientcluster[$i] =~ tr/)/ /; 
		@coupon = split(/$ARGV[1]/, $retientcluster[$i]);
		$presence = 1;
	}
	elsif( $retientcluster[$i] =~ /$tronque/ )
	{	
		$retientcluster[$i] =~ tr/(/ /;
		$retientcluster[$i] =~ tr/)/ /; 
		@coupon = split(/$tronque/, $retientcluster[$i]);
		$presence = 1;
	}
	elsif( $retientcluster[$i] =~ /$ARGV[2]/ )
	{	
		$retientcluster[$i] =~ tr/(/ /;
		$retientcluster[$i] =~ tr/)/ /; 
		@coupon = split(/$ARGV[2]/, $retientcluster[$i]);
		$presence = 1;
	}


		
	if($presence == 1)
	{
		# je recherche le dernier nom et cluster de la partie gauche
		if($coupon[0] =~ /\w/)
		{
			my @couponG = split(/ /, $coupon[0]);
			for(my $j=0; $j<scalar(@couponG); $j++)
			{
				if( ($couponG[$j] =~ /[A-Z]/) or ($couponG[$j] =~ /[a-z]/) or ($couponG[$j] =~ /[0-9]/) )
				{
					for(my $k=0; $k<$comptGroup; $k++)
					{
						if($nameSeq[$k] =~ /$couponG[$j]/)
						{
							$clusterGauche = $k;
						}
					}
				}
			}
		}
		# je recherche le premier nom et cluster de la partie droite
		if($coupon[1] =~ /\w/)
		{
			my @couponD = split(/ /, $coupon[1]);
			for(my $j=0; $j<scalar(@couponD); $j++)
			{
				if( ($couponD[$j] =~ /[A-Z]/) or ($couponD[$j] =~ /[a-z]/) or ($couponD[$j] =~ /[0-9]/) )
				{
					for(my $k=0; $k<$comptGroup; $k++)
					{
						if($nameSeq[$k] =~ /$couponD[$j]/)
						{
							$clusterDroite = $k;
							$j = scalar(@couponD);
							$k = $comptGroup;
						}
					}
				}
			}
		}



		# les clusters de gauche et droite sont egaux j'arrete la !
		if($clusterGauche == $clusterDroite)
		{
			print OUT "$group[$clusterGauche]\n";
		}
		else
		{
			my $dernierchance = 0;
			# ici la sequence est a l'extreme droite mais il y a un bon bootsrtap stop la
			if( ($clusterGauche != $elimineSub) && ($clusterDroite == $elimineSub) && ($bootstrap[$i] >= $ARGV[4]) )
			{
				print OUT "$group[$clusterGauche]\n";
				$dernierchance = 1;
			}
		
			# ici la sequence est a l'extreme gauche mais il y a un bon bootsrtap stop la
			elsif( ($clusterGauche == $elimineSub) && ($clusterDroite != $elimineSub) && ($bootstrap[$i] >= $ARGV[4]) )
			{
				print OUT "$group[$clusterDroite]\n";
				$dernierchance = 1;
			}
			
			# ici l'un des cluster est vide, sequence au bord et le bootstrap n'est pas bon
			elsif( (($clusterGauche == $elimineSub) || ($clusterDroite == $elimineSub)) && ($bootstrap[$i] < $ARGV[4]) )
			{
				# je regarde le cluster suivant si meme chose et contient la sequence user alors topologie bonne
				my $NEWclusterGauche = $elimineSub;
				my $NEWclusterDroite = $elimineSub;
				$presence = 0;
				my @coupon2 = ();
				# ici la nouvelle sequence est contenu dans le cluster
				if( $retientcluster[$i+1] =~ /$ARGV[1]/ )
				{	
					$retientcluster[$i+1] =~ tr/(/ /;
					$retientcluster[$i+1] =~ tr/)/ /; 
					@coupon2 = split(/$ARGV[1]/, $retientcluster[$i+1]);
					$presence = 1;
				}
				elsif( $retientcluster[$i+1] =~ /$tronque/ )
				{	
					$retientcluster[$i+1] =~ tr/(/ /;
					$retientcluster[$i+1] =~ tr/)/ /; 
					@coupon2 = split(/$tronque/, $retientcluster[$i+1]);
					$presence = 1;
				}
				elsif( $retientcluster[$i+1] =~ /$ARGV[2]/ )
				{	
					$retientcluster[$i+1] =~ tr/(/ /;
					$retientcluster[$i+1] =~ tr/)/ /; 
					@coupon2 = split(/$ARGV[2]/, $retientcluster[$i+1]);
					$presence = 1;
				}

				if($presence == 1)
				{
					# je recherche le premier nom et cluster de la partie gauche
					if($coupon2[0] =~ /\w/)
					{
						my @couponG = split(/ /, $coupon2[0]);
						for(my $j=0; $j<scalar(@couponG); $j++)
						{
							if( ($couponG[$j] =~ /[A-Z]/) or ($couponG[$j] =~ /[a-z]/) or ($couponG[$j] =~ /[0-9]/) )
							{
								for(my $k=0; $k<$comptGroup; $k++)
								{
									if($nameSeq[$k] =~ /$couponG[$j]/)
									{
										$NEWclusterGauche = $k;
										$j = scalar(@couponG);
										$k = $comptGroup;
									}
								}
							}
						}
					}
					# je recherche le dernier nom et cluster de la partie droite
					if($coupon2[1] =~ /\w/)
					{
						my @couponD = split(/ /, $coupon2[1]);
						for(my $j=0; $j<scalar(@couponD); $j++)
						{
							if( ($couponD[$j] =~ /[A-Z]/) or ($couponD[$j] =~ /[a-z]/) or ($couponD[$j] =~ /[0-9]/) )
							{
								for(my $k=0; $k<$comptGroup; $k++)
								{
									if($nameSeq[$k] =~ /$couponD[$j]/)
									{
										$NEWclusterDroite = $k;
									}
								}
							}
						}
					}
					

					if($NEWclusterGauche == $NEWclusterDroite)
					{
						print OUT "$group[$NEWclusterGauche]\n";
						$dernierchance = 1;
					}
					elsif( ($NEWclusterGauche == $clusterGauche) && ($NEWclusterDroite == $clusterDroite) )
					{
						if($clusterGauche != $elimineSub)
						{
							print OUT "$group[$clusterGauche]\n";
						}
						else
						{
							print OUT "$group[$clusterDroite]\n";
						}
						$dernierchance = 1;
					}
					else
					{
						print OUT "OUTGROUP\n";
						$dernierchance = 1;
					}
				}
			}
			
			
			if( $dernierchance == 0)
			{
			
					$retientcluster[$elimineSub-1] =~ tr/(/ /;
					$retientcluster[$elimineSub-1] =~ tr/)/ /; 
					#$retientcluster[$elimineSub-1] =~ tr/,/ /;
					@coupon = ();
					@coupon = split(/$ARGV[1]/, $retientcluster[$elimineSub-1]);

					# je recherche le dernier nom et cluster de la partie gauche
					my $vraiCluster = $elimineSub;
					my @couponG = split(/ /, $coupon[0]);
					if($coupon[0] =~ /\w/)
					{
						for(my $j=0; $j<scalar(@couponG); $j++)
						{
							if( ($couponG[$j] =~ /[A-Z]/) or ($couponG[$j] =~ /[a-z]/) or ($couponG[$j] =~ /[0-9]/) )
							{
								for(my $k=0; $k<$comptGroup; $k++)
								{
									# je trouve a gauche le meme cluster qu'a droite donc c'est le bon
									if( ($nameSeq[$k] =~ /$couponG[$j]/) && ($group[$clusterDroite] eq $group[$k]) )
									{
										$vraiCluster = $k;
										$j = scalar(@couponG);
										$k = $comptGroup;
									}
								}
							}
						}
					}
					if($vraiCluster != $elimineSub)
					{
						print OUT "$group[$clusterDroite]\n";
					}
					else
					{
						# je recherche le dernier nom et cluster de la partie gauche
						my @couponD = split(/ /, $coupon[1]);
						if($coupon[1] =~ /\w/)
						{
							for(my $j=0; $j<scalar(@couponD); $j++)
							{
								if( ($couponD[$j] =~ /[A-Z]/) or ($couponD[$j] =~ /[a-z]/) or ($couponD[$j] =~ /[0-9]/) )
								{
									for(my $k=0; $k<$comptGroup; $k++)
									{
										# je trouve a droite le meme cluster qu'a gauche donc c'est le bon
										if( ($nameSeq[$k] =~ /$couponD[$j]/) && ($group[$clusterGauche] eq $group[$k]) )
										{
											$vraiCluster = $k;
											$j = scalar(@couponD);
											$k = $comptGroup;
										}
									}
								}
							}
						}
						if($vraiCluster != $elimineSub)
						{
							print OUT "$group[$clusterGauche]\n";
						}
						else
						{
							print OUT "OUTGROUP\n";
						}
					}
			}
		}
		
		$i = $elimineSub;
	}
}
close(OUT);




unlink("$ARGV[0]/vseqboot.sh");
unlink("$ARGV[0]/vconsense.sh");


