#!/usr/bin/perl -w
use strict;

my $BLASTComnand = "blastp $ARGV[0]/RTcore.fasta $ARGV[0]/$ARGV[1].txt gapE2=0.05 E=0.05 -kap -mformat 2 -o $ARGV[0]/resultBlast.txt";
system($BLASTComnand);



my $commandSORT1 = "sort -n -k 18 $ARGV[0]/resultBlast.txt | head -n 1 | awk '{print \$1,\$18}' > $ARGV[0]/resultBlast1.temp";
system($commandSORT1);
my $commandSORT2 = "sort -nr -k 19 $ARGV[0]/resultBlast.txt | head -n 1 | awk '{print \$19}' > $ARGV[0]/resultBlast2.temp";
system($commandSORT2);



my $otherCommand = "paste $ARGV[0]/resultBlast1.temp $ARGV[0]/resultBlast2.temp > $ARGV[0]/resultBlast3.temp";
system($otherCommand);



$otherCommand = "$ARGV[0]/aext $ARGV[0]/resultBlast3.temp $ARGV[0]/$ARGV[1].txt $ARGV[0]/resultBlast4.temp";
system($otherCommand);
$otherCommand = "$ARGV[0]/ig2fasta $ARGV[0]/resultBlast4.temp $ARGV[0]/temporaireSequence.txt";
system($otherCommand);

# cela veut dire que je n'ai pas trouve de core ou alors il y a en a deux
if(-z "$ARGV[0]/temporaireSequence.txt")
{
	open(OUT,">$ARGV[0]/ErrorCORE.txt") or die "ouverture de $ARGV[0]/ErrorCORE.txt impossible\n";
		print OUT "There is no non-LTR RT-domain in your sequence \n";
	close(OUT);
}

$otherCommand = "rm $ARGV[0]/resultBlast.txt $ARGV[0]/resultBlast1.temp $ARGV[0]/resultBlast2.temp $ARGV[0]/resultBlast3.temp $ARGV[0]/resultBlast4.temp";
system($otherCommand);
system("cp $ARGV[0]/temporaireSequence.txt $ARGV[0]/core$ARGV[1].txt");






#my $ligne;
#
#my $CensorComnand = "cd $ARGV[0]; censor $ARGV[0]/RTcore.fasta -lib $ARGV[0]/$ARGV[1].txt -nomasked -nofound -map $ARGV[0]/$ARGV[1].map; rm $ARGV[0]/censor*.log";
#system($CensorComnand);
#
#
#
## ici je recupere simplement les coordonnes du map le plus proche
#my $comptMOT = 0;
#my $deb = 0;
#my $fin = 0;
#my $debF = 0;
#my $finF = 0;
#my $similarity = 0;
#my $numbercore = 0;
#if(-e "$ARGV[0]/$ARGV[1].map")
#{
#	open(IN,"$ARGV[0]/$ARGV[1].map") or die "ouverture de $ARGV[0]/$ARGV[1].map impossible\n";
#	while($ligne = <IN>)
#	{
#		$deb = 0;
#		$fin = 0;
#		$comptMOT = 0;
#		my $bon = 0;
#		my $TEMPsimilarity = 0;
#		my @coupe = split(/ /, $ligne);
#		for(my $i=0; $i<scalar(@coupe); $i++)
#		{
#			if( ($coupe[$i] =~ /[a-z]/) || ($coupe[$i] =~ /[A-Z]/) || ($coupe[$i] =~ /[0-9]/) )
#			{
#				$comptMOT++;
#			}
#
#			if($comptMOT == 5)
#			{
#				$deb = $coupe[$i];
#				$comptMOT++;
#			}
#
#			if($comptMOT == 7)
#			{
#				$fin = $coupe[$i];
#				$comptMOT++;
#			}
#
#			if($comptMOT == 10)
#			{
#				if($similarity < $coupe[$i])
#				{
#					$bon = 1;
#					$TEMPsimilarity = $coupe[$i];
#				}
#				$comptMOT++;
#			}
#
#			if( ($comptMOT == 13) && ($bon == 1) )
#			{
#				my @recoupe = split(/\t/, $coupe[$i]);
#				if($recoupe[0] >= 140)
#				{
#					$debF = $deb;
#					$finF = $fin;
#					$similarity = $TEMPsimilarity;
#				}
#				$comptMOT++;
#			}
#		}
#	}
#	close(IN);
#
#
#	# JE vais essayer d'etendre la taille de la coordonnee
#	open(IN,"$ARGV[0]/$ARGV[1].map") or die "ouverture de $ARGV[0]/$ARGV[1].map impossible\n";
#	while($ligne = <IN>)
#	{
#		$deb = 0;
#		$fin = 0;
#		$comptMOT = 0;
#		my @coupe = split(/ /, $ligne);
#		for(my $i=0; $i<scalar(@coupe); $i++)
#		{
#			if( ($coupe[$i] =~ /[a-z]/) || ($coupe[$i] =~ /[A-Z]/) || ($coupe[$i] =~ /[0-9]/) )
#			{
#				$comptMOT++;
#			}
#
#			if($comptMOT == 5)
#			{
#				$deb = $coupe[$i];
#				$comptMOT++;
#			}
#
#			if($comptMOT == 7)
#			{
#				$fin = $coupe[$i];
#				$comptMOT++;
#			}
#		}
#
#		if( ($deb < $debF) && ($fin > $debF) )
#		{
#			$debF = $deb;
#		}
#		if( ($fin > $finF) && ($deb < $finF) )
#		{
#			$finF = $fin;
#		}
#	}
#	close(IN);
#
#}
#
#
#
## cela veut dire que je n'ai pas trouve de core ou alors il y a en a deux
#if($debF == 0 && $finF == 0)
#{
#	open(OUT,">$ARGV[0]/ErrorCORE.txt") or die "ouverture de $ARGV[0]/ErrorCORE.txt impossible\n";
#		print OUT "There is no non-LTR RT-domain in your sequence \n";
#	close(OUT);
#}
#
#
#
#
## je reecris le fichier sans la tete et la queue
#open(OUT,">$ARGV[0]/New_$ARGV[1].txt") or die "ouverture de $ARGV[0]/New_$ARGV[1].txt impossible\n";
#open(IN,"$ARGV[0]/$ARGV[1].txt") or die "ouverture de $ARGV[0]/$ARGV[1].txt impossible\n";
#my $sequence = "";
#while($ligne = <IN>)
#{
#	if($ligne =~ />/)
#	{
#		print OUT "$ligne";
#	}
#	else
#	{
#		my @finalcoupe = split(//, $ligne);
#		for(my $i=0; $i<scalar(@finalcoupe); $i++)
#		{
#			if( ($finalcoupe[$i] =~ /[a-z]/) || ($finalcoupe[$i] =~ /[A-Z]/) )
#			{
#				$sequence = $sequence . $finalcoupe[$i];
#			}
#		}
#	}
#}
#close(IN);
#
#my @finalcoupe = split(//, $sequence);
#for(my $i=0; $i<scalar(@finalcoupe); $i++)
#{
#	if( ($i >= $debF-1) && ($i <= $finF-1) )
#	{
#		print OUT $finalcoupe[$i];
#	}
#}
#print OUT "\n";
#close(OUT);
#
#
##unlink("$ARGV[0]/$ARGV[1].txt");
#rename("$ARGV[0]/New_$ARGV[1].txt", "$ARGV[0]/temporaireSequence.txt");
#system("/bin/cp $ARGV[0]/temporaireSequence.txt $ARGV[0]/core$ARGV[1].txt");
