#!/usr/bin/perl -w
use strict;
use Cwd qw(abs_path);
my $ABSOLUTE = abs_path($0);

my $EXEC;
my $PATH;

BEGIN
{
   $EXEC = $0;
   $PATH = $0;
   $EXEC =~ s/.*\///g;
   $PATH =~ s/$EXEC$//;
   if ( $PATH eq "" )
   {
      $PATH = "./";
   }
   $ENV{PATH} = "$ENV{PATH}:$PATH";
}
use lib "$PATH";

$ABSOLUTE =~ s/$EXEC$//;



my $ligne;
my @name = ();
my @sequence = ();
my $compt = -1;


if( (scalar(@ARGV) == 0) || ($ARGV[0] eq "-h") )
{
	print "\n\t Usage : perl Pipe_RTclass1.pl inputfile outputfile bootstrapThresold \n\n";
}
else
{

	open(IN,"$ARGV[0]") or die "ouverture de $ARGV[0] impossible\n";
	while( $ligne = <IN> )
	{
		chomp($ligne);
		if($ligne =~ />/)
		{
			$compt++;
			$name[$compt] = "";
			$sequence[$compt] = "";

			my @cut = split(/>/, $ligne);
			$name[$compt] = $cut[1];
		}
		else
		{
			$sequence[$compt] = $sequence[$compt] . $ligne;
		}
	}
	close(IN);
	$compt++;





	open(OUTF,">$ARGV[1]") or die "ouverture de $ARGV[2] impossible\n";
	my $group = "";
	for(my $i=0; $i<$compt; $i++)
	{
		my $temps = time;
	
	
		open(OUT,">temp.txt") or die "ouverture de temp.txt impossible\n";
			print OUT ">$name[$i] \n";
			print OUT "$sequence[$i] \n";
		close(OUT);
	

	
		my $command = "perl $ABSOLUTE/RTclass1.pl temp.txt 0 1 $ABSOLUTE $ARGV[2] $temps";
		system("$command");
	
	
		open(IN,"$temps/TREEComparaison.txt") or die "ouverture de $temps/TREEComparaison.txt impossible\n";
			$ligne = <IN>;
			chomp($ligne);
			$group = $ligne;
		close(IN);
	
	
		print OUTF "$name[$i]\t$group\n";
	
		unlink("temp.txt");
		my $newdirect = $temps . "@" . $name[$i];
		rename("$temps", "$newdirect");
	}
	close(OUTF);
}

