#!/usr/bin/perl -w
use strict;



# je recupere le nom de la sequence ajouteee
my $RTinsere = "";
open(IN,"$ARGV[0]") or die "ouverture de $ARGV[0] impossible\n";
	my $ligne = <IN>;
	chomp($ligne);
close(IN);
my @coupe = split(/ /, $ligne);
my @coupe2 = split(/>/, $coupe[0]);
$RTinsere = $coupe2[1];
my $vraiNom = $RTinsere;

# je verifie que le nom fait moins de 10 caracteres
@coupe = split(//, $RTinsere);
if(scalar(@coupe) > 10)
{
	$RTinsere = "";
	for(my $i=0; $i<10; $i++)
	{
		$RTinsere = $RTinsere . $coupe[$i];
	}
}




# recupere les informations necessaire au programme !
#my $temps = time;
my $temps = $ARGV[5];

my $commandDirectory = "pwd > $temps.txt";
system("$commandDirectory");
open(IN,"$temps.txt") or die "ouverture de $temps.txt impossible\n";
	my $directory = <IN>;
	chomp($directory);
close(IN);
unlink("$temps.txt");

my $repertoire = "$ARGV[3]";
my $adressWEB = "file://" . $directory . "/" . $ARGV[3];
mkdir("$temps");

# ici je copie toutes les scripts dans le programme temporaire
system("cp $repertoire/* $temps");
$repertoire = $directory . "/" . $temps;

# ici je copie la sequence user dans le programme temporaire
system("cp $ARGV[0] $repertoire/$temps.txt");

# ici je copie toutes les donnes dans le programme temporaire
system("cp $ARGV[3]/../RTclass1_DATA/* $repertoire/");







my $censorElimine = "perl $repertoire/ElimineParCensor.pl $repertoire $temps";
system("$censorElimine");


my $alignment = $ARGV[1];
if($alignment == 1)
{
	my $commandBORD = "perl $repertoire/Profile.pl $ARGV[0] $repertoire";
	system("$commandBORD");
}
else
{
	my $commandAlign = "perl $repertoire/Alignement.pl $ARGV[0] $repertoire";
	system("$commandAlign");
}


my $bootstrapM = $ARGV[2];
if($bootstrapM == 0)
{
	# truc : il doit y avoir un fichier outfile dans le repertoire ou est le fichier perl !
	my $commandBOOTSTRAP = "perl $repertoire/BootStrapSeq.pl $repertoire";
	system("$commandBOOTSTRAP");
}
else
{
	my $commandBLAST = "perl $repertoire/RTtoCLASS.pl $repertoire/$temps.txt $repertoire/RTcore.fasta $repertoire/tableSequence.txt $repertoire/BLASTouptfile.txt $repertoire";
	system("$commandBLAST");
	open(IN,"$repertoire/BLASTouptfile.txt") or die "ouverture de $repertoire/BLASTouptfile.txt impossible\n";
		my $ligne = <IN>;
		chomp($ligne);
	close(IN);
	#unlink("$repertoire/BLASTouptfile.txt");
	

	if($ligne eq "Ambiguous")
	{
		# truc : il doit y avoir un fichier outfile dans le repertoire ou est le fichier perl !
		my $commandBOOTSTRAP = "perl $repertoire/BootStrapSeq.pl $repertoire";
		system("$commandBOOTSTRAP");
	}
	else
	{
		# je fais l'arbre de phylogenie sans bootstrap
		my $commandeWITHOUTBOOT = "perl $repertoire/DirectTREE.pl $repertoire $adressWEB";
		system("$commandeWITHOUTBOOT");
	}
}



# trouve le groupe de la nouvelle sequence
my $valueBoot = $ARGV[4];
my $commandERROR = "perl $repertoire/CompareTree.pl $repertoire $RTinsere $vraiNom  RTcore.fasta $valueBoot";
system("$commandERROR");



# creee le fichier HTML qui affiche l'arbre et la nouvelle sequence
my $commandHTML = "perl $repertoire/HTMLcreation.pl $repertoire $RTinsere $vraiNom $temps";
system("$commandHTML");



#system("firefox $repertoire/$temps.html");




